### Hierarchy

- Emitter
  - GridScrollbars

### Implements

- IEmitter

## Index

### Constructors

- constructor

### Properties

- axis
- fit
- listeners
- mainEl
- offset
- onListeners
- pageEl
- scale
- scrollHandleX
- scrollHandleY
- scrollTrackX
- scrollTrackY
- scrolling
- start

### Accessors

- SCROLL
- SCROLL_X
- SCROLL_Y

### Methods

- destroy
- emit
- off
- on
- onMouseDown
- onMouseDownTrack
- onMouseMove
- onMouseUp
- onMouseWheel
- onResize
- onScroll
- register
- removeEvent
- removeEvents
- unRegister
- update
- updateHandles

## Constructors

### constructor

- new GridScrollbars(pageEl: HTMLDivElement, mainEl: HTMLDivElement): GridScrollbars

- Overrides Emitter.constructor

  - Defined in Grid3/GridScrollbars.ts:36

  #### Parameters

  - ##### pageEl: HTMLDivElement

  - ##### mainEl: HTMLDivElement

  #### Returns GridScrollbars

## Properties

### Private axis

axis: string = ""

- Defined in Grid3/GridScrollbars.ts:34

### fit

fit: string = "scroll"

- Defined in Grid3/GridScrollbars.ts:30

### listeners

listeners: IListeners = []

Inherited from Emitter.listeners

- Defined in Emitter.ts:16

### mainEl

mainEl: HTMLDivElement

- Defined in Grid3/GridScrollbars.ts:38

### Private offset

offset: number = 0

- Defined in Grid3/GridScrollbars.ts:35

### onListeners

onListeners: any

Inherited from Emitter.onListeners

- Defined in Emitter.ts:17

### pageEl

pageEl: HTMLDivElement

- Defined in Grid3/GridScrollbars.ts:38

### scale

scale: number = 1

- Defined in Grid3/GridScrollbars.ts:31

### Private scrollHandleX

scrollHandleX: HTMLDivElement

- Defined in Grid3/GridScrollbars.ts:27

### Private scrollHandleY

scrollHandleY: HTMLDivElement

- Defined in Grid3/GridScrollbars.ts:29

### scrollTrackX

scrollTrackX: HTMLDivElement

- Defined in Grid3/GridScrollbars.ts:26

### scrollTrackY

scrollTrackY: HTMLDivElement

- Defined in Grid3/GridScrollbars.ts:28

### Private scrolling

scrolling: boolean = false

- Defined in Grid3/GridScrollbars.ts:33

### Private start

start: number = 0

- Defined in Grid3/GridScrollbars.ts:36

## Accessors

### SCROLL

- get SCROLL(): string

- - Defined in Grid3/GridScrollbars.ts:17

  #### Returns string

### SCROLL_X

- get SCROLL_X(): string

- - Defined in Grid3/GridScrollbars.ts:20

  #### Returns string

### SCROLL_Y

- get SCROLL_Y(): string

- - Defined in Grid3/GridScrollbars.ts:23

  #### Returns string

## Methods

### destroy

- destroy(): void

- - Defined in Grid3/GridScrollbars.ts:86

  #### Returns void

### emit

- emit(name: string, args?: any): void

- Inherited from Emitter.emit

  - Defined in Emitter.ts:51

  #### Parameters

  - ##### name: string

  - ##### Optional args: any

  #### Returns void

### off

- off(name: string, callback: any): void

- Inherited from Emitter.off

  - Defined in Emitter.ts:30

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### on

- on(name: string, callback: any): void

- Inherited from Emitter.on

  - Defined in Emitter.ts:23

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### Private onMouseDown

- onMouseDown(evt: MouseEvent): void

- - Defined in Grid3/GridScrollbars.ts:144

  #### Parameters

  - ##### evt: MouseEvent

  #### Returns void

### Private onMouseDownTrack

- onMouseDownTrack(evt: MouseEvent): void

- - Defined in Grid3/GridScrollbars.ts:132

  #### Parameters

  - ##### evt: MouseEvent

  #### Returns void

### Private onMouseMove

- onMouseMove(evt: MouseEvent): void

- - Defined in Grid3/GridScrollbars.ts:155

  #### Parameters

  - ##### evt: MouseEvent

  #### Returns void

### Private onMouseUp

- onMouseUp(evt: MouseEvent): void

- - Defined in Grid3/GridScrollbars.ts:172

  #### Parameters

  - ##### evt: MouseEvent

  #### Returns void

### Private onMouseWheel

- onMouseWheel(evt: WheelEvent): void

- - Defined in Grid3/GridScrollbars.ts:112

  #### Parameters

  - ##### evt: WheelEvent

  #### Returns void

### Private onResize

- onResize(evt: any): void

- - Defined in Grid3/GridScrollbars.ts:102

  #### Parameters

  - ##### evt: any

  #### Returns void

### Private onScroll

- onScroll(evt: any): void

- - Defined in Grid3/GridScrollbars.ts:97

  #### Parameters

  - ##### evt: any

  #### Returns void

### register

- register(callback: any): void

- Inherited from Emitter.register

  - Defined in Emitter.ts:40

  #### Parameters

  - ##### callback: any

  #### Returns void

### removeEvent

- removeEvent(): void

- Implementation of IEmitter.removeEvent

  Inherited from Emitter.removeEvent

  - Defined in Emitter.ts:65

  #### Returns void

### removeEvents

- removeEvents(): void

- Implementation of IEmitter.removeEvents

  Inherited from Emitter.removeEvents

  - Defined in Emitter.ts:69

  #### Returns void

### unRegister

- unRegister(callback: any): void

- Inherited from Emitter.unRegister

  - Defined in Emitter.ts:44

  #### Parameters

  - ##### callback: any

  #### Returns void

### update

- update(fit?: undefined | string, scale?: number): void

- - Defined in Grid3/GridScrollbars.ts:67

  #### Parameters

  - ##### Optional fit: undefined | string

  - ##### Default value scale: number = 1

  #### Returns void

### Private updateHandles

- updateHandles(): void

- - Defined in Grid3/GridScrollbars.ts:105

  #### Returns void

Generated using TypeDoc